Bug 506185 - Review Request: bespin - A theme for Qt/KDE4 (includes KWin, Qt, and a plasmoid)
Review Request: bespin - A theme for Qt/KDE4 (includes KWin, Qt, and a plasmoid)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Armin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 18:29 EDT by Wesley S. Hearn
Modified: 2009-06-18 16:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 16:57:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
feng.shaun: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wesley S. Hearn 2009-06-15 18:29:02 EDT
Spec URL: http://www.gr33nn1nj4.com/rpms/bespin.spec
SRPM URL: http://www.gr33nn1nj4.com/rpms/bespin-0.1r483-1.fc12.src.rpm
Description: Renamed baghira, a theme that was upstream but is being removed. The author has
decided to keep it as a personal hobby. Bespin is inspired by various design
ideas found in screenshots.
Comment 1 Wesley S. Hearn 2009-06-15 20:20:32 EDT
I have updated it via advice from nucleo in #fedora-kde and the new srpm link is http://www.gr33nn1nj4.com/rpms/bespin-0.1-0.1.20090615svn483.fc12.src.rpm
Comment 2 Wesley S. Hearn 2009-06-15 20:28:11 EDT
[JKnife@Lappy x86_64]$ rpmlint bespin-common-0.1-0.1.20090615svn483.fc12.x86_64.rpm bespin-debuginfo-0.1-0.1.20090615svn483.fc12.x86_64.rpm bespin-kwin-theme-0.1-0.1.20090615svn483.fc12.x86_64.rpm kde-plasma-xbar-0.1-0.1.20090615svn483.fc12.x86_64.rpm qt4-theme-bespin-0.1-0.1.20090615svn483.fc12.x86_64.rpm
5 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 3 Armin 2009-06-16 10:52:47 EDT
[OK] MUST: rpmlint must be run on every package. The output should be posted in the review.
[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[OK] MUST: The License field in the package spec file must match the actual license.
[OK] MUST: The package must meet the  Packaging Guidelines . 
[OK] MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines . 
[OK] MUST: The License field in the package spec file must match the actual license.
[OK] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[OK] MUST: The spec file must be written in American English.
[OK] MUST: The spec file for the package MUST be legible.
[OK] MUST: The package <b>MUST</b> successfully compile and build into binary rpms on at least one primary architecture.
[OK] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[--] MUST: The spec file MUST handle locales properly. This is done by using the <code>%find_lang</code> macro. Using <code>%{_datadir}/locale/*</code> is strictly forbidden.
[--] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in <code>%post</code> and <code>%postun</code>.
[OK] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[OK] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[OK] MUST: A Fedora package must not list a file more than once in the spec file's&nbsp;%files listings.
[OK] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every <code>%files</code> section must include a <code>%defattr(...)</code> line.
[OK] MUST: Each package must have a&nbsp;%clean section, which contains <code>rm -rf&nbsp;%{buildroot}</code> (<a href="/wiki/Packaging/Guidelines#UsingBuildRootOptFlags" title="Packaging/Guidelines" class="mw-redirect">or $RPM_BUILD_ROOT</a>).
[OK] MUST: Each package must consistently use macros.
[OK] MUST: The package must contain code, or permissable content.
[OK] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[OK] MUST: If a package includes something as&nbsp;%doc, it must not affect the runtime of the application. To summarize: If it is in&nbsp;%doc, the program must run properly if it is not present.
[OK] MUST: Header files must be in a -devel package.
[OK] MUST: Static libraries must be in a -static package.
[OK] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[OK] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[OK] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: <code>Requires:&nbsp;%{name} =&nbsp;%{version}-%{release} </code>
[OK] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[OK] MUST: Packages containing GUI applications must include a&nbsp;%{name}.desktop file, and that file must be properly installed with desktop-file-install in the&nbsp;%install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[OK] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the <code>filesystem</code> or <code>man</code> package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[OK] MUST: At the beginning of <code>%install</code>, each package MUST run <code>rm -rf&nbsp;%{buildroot}</code> (<a href="/wiki/Packaging/Guidelines#UsingBuildRootOptFlags" title="Packaging/Guidelines" class="mw-redirect">or $RPM_BUILD_ROOT</a>).
[OK] MUST: All filenames in rpm packages must be valid UTF-8.
[OK] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[--] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[OK] SHOULD: The reviewer should test that the package builds in mock.
[OK] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[OK] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[OK] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[OK] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[OK] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.  A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[OK] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
Comment 4 Armin 2009-06-16 10:55:01 EDT
Three things:

1) The specfile doesn't handle locales properly using %find_lang
2) ldconfig is not run in %pre and %post even though you installed shared library files (.so)
3) the description and summary sections does not contain translations

ignore the 3rd one, it's not that important I think.
Comment 5 Wesley S. Hearn 2009-06-16 11:31:00 EDT
As for #1 they don't have translations upstream. and I just fixed #2 (new spec is uploaded)
Comment 6 Armin 2009-06-16 12:03:59 EDT
Then you're good to go, but add %postun (for ldconfig) too, and you're done :)
Comment 7 Armin 2009-06-16 12:14:26 EDT
APPROVED
Comment 8 Rex Dieter 2009-06-17 15:13:51 EDT
adding FE_NEEDSPONSOR blocker.  I'll look things over. 
If kosher, I can sponsor here.
Comment 9 Rex Dieter 2009-06-17 15:34:44 EDT
A few minor comments,

1.  MUST: remove the ldconfig scriplets.  ldconfig is needed only for shlibs, these aren't.

2.  SHOULD: Source should include snap or svn<time_stamp> in the name, to match Release tag.  For examples, see
https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Snapshot_packages

2a.  poke/prod upstream to do a real release. :)

3.  Kinda-sorta-should: make a parent virtual package that Requires all subpkgs, so one can do a simple:
yum install bespin
to get it all at once.  (but, this is a matter of taste, up to you whether you want to do it or not).

Heck, taking this to an extreme, if you also want to simplify matters further, including everything in a single pkg would be ok with me too.


I don't consider any of these issues blockers, and can very well be fixed prior to building (before or after import).  Being your first package, I'll add myself as comaintainer, and continue to advise as needed.
Comment 10 Rex Dieter 2009-06-17 15:37:18 EDT
Last small suggestion, leave the pkg name and versioning details out of Summary, so use something like:

Summary: a style for Qt/KDE

s/style/theme/ to taste.
Comment 11 Wesley S. Hearn 2009-06-17 16:18:20 EDT
New Package CVS Request
=======================
Package Name: bespin
Short Description: A style for Qt/KDE4
Owners: jknife rdieter
Branches: F-10 F-11
InitialCC:
Comment 12 Jason Tibbitts 2009-06-18 16:13:08 EDT
CVS done.
Comment 13 Wesley S. Hearn 2009-06-18 16:57:32 EDT
Packages built in Koji
http://koji.fedoraproject.org/koji/userinfo?userID=927

Note You need to log in before you can comment on or make changes to this bug.